Bug 313391 - Kernel VMI (Virtual Machine Interface) missing from F7
Kernel VMI (Virtual Machine Interface) missing from F7
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-09-30 20:21 EDT by Thomas M Steenholdt
Modified: 2009-09-21 17:36 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-01 16:36:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Thomas M Steenholdt 2007-09-30 20:21:31 EDT
Description of problem:
The F7 Release Summary located at http://fedoraproject.org/wiki/F7ReleaseSummary
states that;
"The kernel included in this release also has support for VMWare's VMI
interface", but it doesn't appear to be the case, at least with the latest
kernel updates. grep'ing for VMI in /boot/config* yields nothing. grep'ing for
PARAVIRT, only unset features are found...

Version-Release number of selected component (if applicable):

Expected results:
I would expect to see VMI stuff, when it's mentioned on the release summary.
Comment 1 Dave Jones 2007-10-01 16:36:42 EDT
The release notes were incorrect.  (Just fixed up the wiki to remove this
incorrect info)
VMI (or more correctly, paravirt) in 2.6.21 had a performance hit attached to it
which made it not feasible to ship.

In the current builds for F8, this performance hit seems to have been addressed.
Comment 2 Thomas M Steenholdt 2007-10-01 17:10:48 EDT
Cool! Thanks a lot :)

Note You need to log in before you can comment on or make changes to this bug.